%define tarvers 1_7_17
%define tarname xmlrpc4r
Summary: XML-RPC provides remote procedure calls over HTTP with XML for Ruby
Name: ruby-xmlrpc4r
Version: 1.7.17
Release: 2
License: Distributable
Group: Applications/Ruby
Source: http://www.fantasy-coders.de/ruby/xmlrpc4r/%{tarname}-%{tarvers}.tar.gz
Patch: ruby-xmlrpc4r.diff
URL: http://www.fantasy-coders.de/ruby/xmlrpc4r/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby-devel-logger >= 1.0.1
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0-0.20030611.1
%else
Requires: ruby >= 1.6.0, ruby-REXML >= 2.5.3
%endif

%description
XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP
but much easier.

%prep
%setup -n %{tarname}-%{tarvers}
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT
ruby -i -pe "sub(/(Config::CONFIG\[\"sitelibdir\"])/, '\"$RPM_BUILD_ROOT\" + \1')" install.rb
ruby install.rb
mkdir -p $RPM_BUILD_ROOT%{_bindir}
find $RPM_BUILD_ROOT%{_prefix} -name application.rb -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog README ToDo doc/ samples/ test/

%changelog
* Tue Jun 17 2003 Ian Macdonald <ian@caliban.org> 1.7.17-2
- change REXML dependency, as it's now a part of Ruby 1.8

* Fri Jun  6 2003 Ian Macdonald <ian@caliban.org> 1.7.17-1
- 1.7.17

* Wed May 28 2003 Ian Macdonald <ian@caliban.org> 1.7.16-1
- first RPM release
